### Signal

# Gtk PrintOperation::request-page-setup

#### Declaration

    void
    request_page_setup (
      GtkPrintOperation self,
      GtkPrintContext* context,
      gint page_nr,
      GtkPageSetup* setup,
      gpointer user_data
    )

#### Description [src]

Emitted once for every page that is printed.

This gives the application a chance to modify the page setup. Any changes done to `setup` will be in force only for printing this page.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context` | `GtkPrintContext`
| The `GtkPrintContext` for the current operation.
| The data is owned by the caller of the function.
`page_nr` | `gint`
| The number of the currently printed page (0-based).
`setup` | `GtkPageSetup`
| The `GtkPageSetup`.
| The data is owned by the caller of the function.